Bug 28415 - rhn_register will register old RHL versions, but that isn't working well later
Summary: rhn_register will register old RHL versions, but that isn't working well later
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhn_register   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-20 12:35 UTC by Göran Uddeborg
Modified: 2015-01-07 23:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 15:04:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Göran Uddeborg 2001-02-20 12:35:46 UTC
I thought I'd try the rhn_register client for the first time.  I tried this
on a machine with a somewhat mixed collection of RPMs, from 5.1 (Manhattan)
up to 7.0.90 (Fisher).  I've had the policy to upgrade redhat-release as
the last package, so that is still redhat-release-5.1-2.

I used rhn_register-gnome (1.1-1) to register.  It asked me about all info,
collected from the RPMs, and finished with a vague message about an error. 
Looking at the web site showed my system as registered, claimed to run
5.1.  Trying to use up2date gave an error message about incorrect
architecture/release.

To come around this I registered my system "by hand" at the web site
(claiming version 7.0).  And removed the old registration.  After that
things worked as expected.

For the benefit of a user more prone to blaim himself for the error (not me
that is :-), I'd suggest you do some more verification of the input in
rhn_register or in the registration process.  I was in a state where it
wasn't obviouis what was wrong.  Version 5.1 on an i386 isn't an
inconsistent combination as the error message said.  And machine entry
which was registered appeared correct; it was in a sense.

Comment 1 Glen Foster 2001-02-21 15:04:24 UTC
This defect is considered MUST-FIX for Florence Release-Candidate #2

Comment 2 Preston Brown 2001-02-28 02:49:58 UTC
fisher wasn't supported by rhn_register; this was made clear in the release
notes.

Comment 3 Jay Turner 2001-03-02 19:03:37 UTC
We really don't have means of passing a better message back for invalid release
and/or arch than what we are passing.

Comment 4 Göran Uddeborg 2001-03-03 20:06:10 UTC
About not being supported:  The release notes said "rhn_register, the
registration client for Red Hat Network, is
included, but registrations for the beta will not be accepted."  I interpreted
that as meaning it would not be possible to register a machine as running
release Fisher/7.0.90.  Not that it wouldn't be possible to use the rhn_register
enclosed to register older, supported, releases.  Sorry if I misunderstood
things.

About the message: I wanted to suggest some way to stop this registration in an
earlier stage.  Either that rhn_register knew which releases are possible to
register, or that the server side should refuse to accept registrations for
unsupported/too old versions.  Is this also infeasible?  (Or maybe undesirable?)


Note You need to log in before you can comment on or make changes to this bug.